Bug 8757 - xircom credit card is supported. its recognized but I cannot ping other machines
xircom credit card is supported. its recognized but I cannot ping other mach...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhl-ig-x86 (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandra Moore
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-22 19:41 EST by ccorbin
Modified: 2014-08-04 18:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-06 10:51:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ccorbin 2000-01-22 19:41:14 EST
the lights on my hub and card are lit up and the kernel recognises the
card but I cannot get the network going.  I printed all the info that
i could think off to help you to help me.  this is on a Digital Ultra 2000
laptop 166mhz 32 meg ram 2 gig drive.
I get network unreachable.
I tried to change the /etc/pcmcia/config.opts without luck.
the card works with Microsoft Windows 95
uname -a
Linux kestrel.torres.com 2.2.12-20 #1 Mon Sep 27 10:25:54 EDT 1999 i586
unknown
cardctl config
Socket 0:
  Vcc = 5.0, Vpp1 = 0.0, Vpp2 = 0.0
  Interface type is memory and I/O
  IRQ 3 is exclusive, level mode, enabled
  Function 0:
    Config register base = 0x0800
      Option = 0x41, status = 0000
    I/O window 1: 0x0300 to 0x030f, 16 bit
Socket 1:
  not configured
Socket 2:
  Vcc = 5.0, Vpp1 = 5.0, Vpp2 = 5.0
Socket 3:
  not configured
cardctl status
Socket 0:
  5V 16-bit card present
  Function 0: ready
Socket 1:
  no card
Socket 2:
  5V 16-bit card present
  Function 0: ready, write protect, battery low
Socket 3:
  no card
cardctl ident
Socket 0:
  product info: "Xircom", "CreditCard 10/100", "CE3-10/100", "1.00"
  manfid: 0x0105, 0x010a
  function: 6 (network)
Socket 1:
  no product info available
Socket 2:
  product info: "USRobotics", "Sportster Winmodem PC Card"
  manfid: 0x0107, 0x0004
  function: 0 (multifunction)
Socket 3:
  no product info available
ifconfig
eth0      Link encap:Ethernet  HWaddr 00:10:A4:F1:D2:CC
          inet addr:119.92.99.99  Bcast:119.92.99.255  Mask:255.255.255.0
          UP BROADCAST RUNNING  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          Interrupt:3 Base address:0x300

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:3924  Metric:1
          RX packets:118 errors:0 dropped:0 overruns:0 frame:0
          TX packets:118 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0

cat /proc/ioports
0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
01f0-01f7 : ide0
0300-030f : xirc2ps_cs
03c0-03df : vga+
03e0-03e1 : i82365
03f6-03f6 : ide0
03f8-03ff : serial(auto)
cat /proc/interrupts
           CPU0
  0:     125848          XT-PIC  timer
  1:       3877          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  3:          5          XT-PIC  xirc2ps_cs
  8:          1          XT-PIC  rtc
 12:       1591          XT-PIC  PS/2 Mouse
 13:          1          XT-PIC  fpu
 14:      89314          XT-PIC  ide0
 15:          4          XT-PIC  i82365
NMI:          0
cat /var/run/stab
Socket 0: Xircom CE3-10/100 Fast Ethernet
0	network	xirc2ps_cs	0	eth0
Socket 1: empty
Socket 2: empty
Socket 3: empty
cardmgr -v
lsmod
Module  Size  Used by
xirc2ps_cs             11140   1
ds                      5740   4  [xirc2ps_cs]
i82365                 22640   4
pcmcia_core            39912   0  [xirc2ps_cs ds i82365]
ipx                    12508   1  (autoclean)
netstat -rn
Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt
Iface
119.92.99.99    0.0.0.0         255.255.255.255 UH        0 0          0
eth0
119.92.99.0     0.0.0.0         255.255.255.0   U         0 0          0
eth0
127.0.0.0       0.0.0.0         255.0.0.0       U         0 0          0 lo
0.0.0.0         127.0.0.1       0.0.0.0         UG        0 0          0 lo
Comment 1 Anonymous 2000-04-26 09:26:59 EDT
I have exactly the similiar problem using Xircom CE3B-100BTX ethernet card with
Redhat 6.1
Comment 2 Anonymous 2000-04-26 09:28:59 EDT
Further with my comments above, is this problem a recognised bug with the device
driver for Xircom ethernet card?....Paul Yeung
Comment 3 Brock Organ 2000-06-15 12:07:38 EDT
do you still have this problem with 6.2...?
Comment 4 Brent Fox 2000-08-09 16:04:25 EDT
Closed due to inactivity.  Please re-open with more information.
Comment 5 Brock Organ 2000-11-06 10:51:39 EST
We do not have this particular card in our test lab, and are unable to verify it
with our closest hardware ... :( ... please reopen if this is still a problem
with Red Hat Linux 7 ... thanks for your report!

Note You need to log in before you can comment on or make changes to this bug.